Skip to main content
DELETE
Archive a function for a definition

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The unique identifier of the app that contains the action definition.

definitionId
string
required

The unique identifier of the action definition to which the function belongs.

functionId
string
required

The unique identifier of the function to delete.

functionType
enum<string>
required

The type of the function to delete. Valid values are PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS, POST_FETCH_OPTIONS, and POST_ACTION_EXECUTION.

Available options:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Response

No content

Last modified on September 9, 2026